Subject: Re: feature request: text=input option in .gitattributes

From: Torsten Bögershausen <[email-masked]>
Date: Wed, 12 Feb 2014 16:56:21 +0100

On 2014-02-11 15.57, Cameron Taggart wrote:
> After requesting this as
> https://github.com/msysgit/msysgit/issues/164, I was told to take it
> upstream, so here I am.
> 
> I would like a text=input feature added that has the same behavior as
> text=auto, except that it defaults to core.autocrlf=input behavior
> instead of core.autocrlf=true. 
If you want to normailze your repo, and keep it normalized,
I can  recommend to use .gitattributes.

Please see the excellent page here:
https://www.kernel.org/pub/software/scm/git/docs/gitattributes.html
And especially this part:

$ echo "* text=auto" >>.gitattributes
$ rm .git/index     # Remove the index to force git to
$ git reset         # re-scan the working directory
$ git status        # Show files that will be normalized
$ git add -u
$ git add .gitattributes
$ git commit -m "Introduce end-of-line normalization"

/Torsten